# Get ManagedResources

ManagedResources returns list of managed resources.

Endpoint: GET /gitops/api/v1/agents/{agentIdentifier}/applications/{query.applicationName}/managed-resources
Version: 1.0
Security: x-api-key

## Path parameters:

  - `agentIdentifier` (string, required)
    Agent identifier for entity.

  - `query.applicationName` (string, required)

## Query parameters:

  - `accountIdentifier` (string)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

  - `query.namespace` (string)

  - `query.name` (string)

  - `query.version` (string)

  - `query.group` (string)

  - `query.kind` (string)

  - `query.appNamespace` (string)

  - `query.project` (string)

## Response 200 fields (application/json):

  - `items` (array)

  - `items.group` (string)
    Group represents the API group of the resource (e.g., "apps" for Deployments).

  - `items.kind` (string)
    Kind represents the Kubernetes resource kind (e.g., "Deployment", "Service").

  - `items.namespace` (string)
    Namespace specifies the namespace where the resource exists.

  - `items.name` (string)
    Name is the name of the resource.

  - `items.targetState` (string)
    TargetState contains the JSON-serialized resource manifest as defined in the Git/Helm repository.

  - `items.liveState` (string)
    LiveState contains the JSON-serialized resource manifest of the resource currently running in the cluster.

  - `items.diff` (string)
    Diff contains the JSON patch representing the difference between the live and target resource.
Deprecated: Use NormalizedLiveState and PredictedLiveState instead to compute differences.

  - `items.hook` (boolean)
    Hook indicates whether this resource is a hook resource (e.g., pre-sync or post-sync hooks).

  - `items.normalizedLiveState` (string)
    NormalizedLiveState contains the JSON-serialized live resource state after applying normalizations.
Normalizations may include ignoring irrelevant fields like timestamps or defaults applied by Kubernetes.

  - `items.predictedLiveState` (string)
    PredictedLiveState contains the JSON-serialized resource state that Argo CD predicts based on the
combination of the normalized live state and the desired target state.

  - `items.resourceVersion` (string)
    ResourceVersion is the Kubernetes resource version, which helps in tracking changes.

  - `items.modified` (boolean)
    Modified indicates whether the live resource has changes compared to the target resource.

## Response default fields (application/json):

  - `error` (string)

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.type_url` (string)
    A URL/resource name that uniquely identifies the type of the serialized
protocol buffer message. This string must contain at least
one "/" character. The last segment of the URL's path must represent
the fully qualified name of the type (as in
path/google.protobuf.Duration). The name should be in a canonical form
(e.g., leading "." is not accepted).

In practice, teams usually precompile into the binary all types that they
expect it to use in the context of Any. However, for URLs which use the
scheme http, https, or no scheme, one can optionally set up a type
server that maps type URLs to message definitions as follows:

* If no scheme is provided, https is assumed.
* An HTTP GET on the URL must yield a [google.protobuf.Type][]
  value in binary format, or produce an error.
* Applications are allowed to cache lookup results based on the
  URL, or have them precompiled into a binary to avoid any
  lookup. Therefore, binary compatibility needs to be preserved
  on changes to types. (Use versioned type names to manage
  breaking changes.)

Note: this functionality is not currently available in the official
protobuf release, and it is not used for type URLs beginning with
type.googleapis.com. As of May 2023, there are no widely used type server
implementations and no plans to implement one.

Schemes other than http, https (or the empty scheme) might be
used with implementation specific semantics.

  - `details.value` (string)
    Must be a valid serialized protocol buffer of the above specified type.


